@import "abstracts/vars";
@import "abstracts/mixins";
@import "abstracts/functions";
@import "base/fonts/fonts";
@import "base/fontawesome/font-awesome";

html {
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin-bottom: 0px;
}

body {
    font-family: Arial, Helvetica, sans-serif !important;
    position: relative;
    overflow: auto;
    color: $text-basic;
    font-size: 16px;
    line-height: 1.5;
    background: $page-bg;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    touch-action: manipulation;

    &.on-page-editor {
        background: $page-bg;
    }

    &.locked {
        position: relative;
        overflow: hidden !important;
        overflow-x: hidden !important;
        overflow-y: hidden !important;
        height: 100%;
        -webkit-overflow-scrolling: auto;
    }

    .row {
        margin: 0px !important;
    }
}

.no-padding-right {
    padding-right: 0;
}

.no-padding-left {
    padding-left: 0;
}

.no-padding {
    padding: 0px !important;

    .col-xs-12 {
        padding: 0px !important;
    }

    .image-caption {
        display: none;
    }
}

.p-relative {
    position: relative;
}

.d-none {
    display: none !important;
}

.container-fluid {
    padding: 0 !important;
}

.margin-top--four {
    margin-top: 4.572rem;
}

a {
    color: $text-basic;
    cursor: pointer;
    font-size: 0.85em;

    &:hover {
        color: $text-basic-active;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: bold;
}

h1 {
    font-size: 2em;
}

h2 {
    font-size: 1.5em;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1em;
}

h5 {
    font-size: 0.83em;
}

h6 {
    font-size: 0.67em;
}

.xa-variable {
    border: 0px;
    padding: 1px;
    margin: 0px;
    background-color: #ebebe4;
    color: #545454;
    user-select: none;
    pointer-events: none;
}

//Navigation Bar fix 
#breadcrumbMenuSubcontrol_context_menu * {
    box-sizing: initial;
}

@media (max-width: 1440px) {

    html,
    body {
        font-size: 14px;
    }
}

//End 
@media (max-width: 1199px) {

    html,
    body {
        font-size: 11px;
    }
}

@media (max-width: 1023px) {

    html,
    body {
        font-size: 10px;
    }
}

@media (max-width: 768px) {

    html,
    body {
        font-size: 8px;
    }
}

.clear-both {
    clear: both;
}

.gray-Bg {
    background: #f2f2f2;
}


/*separators*/
.featured-list__header,
.card-slider-promo-card-wrapper .promo-card,
.learningOb-Wrapper,
.who-main-item,
.partner-wrapper,
.featured-list__header,
.popular-courses-wrapper {

    @media (max-width: 768px) {
        border-top: 8px;
    }

    position: relative;
    border-top: 10px !important;
    border-image:none !important;
}

.featured-list__header:before,
.card-slider-promo-card-wrapper .promo-card:before,
.learningOb-Wrapper:before,
.who-main-item:before, 
.partner-wrapper:before,
.featured-list__header:before,
.popular-courses-wrapper:before {

    content: '';
    display: block;
    height: 10px;
    width: 100%; 
    position: absolute;
    left: 0;
    top: 0px;
    border-image: linear-gradient(20deg, #f0777f 14%, #213691) 1;
    border-top-width: 7px;
    border-style: solid;
    //To fix the border issue on Safari
    // border-color: transparent;
    background-color: transparent;

    @media (max-width: 768px) {
        border-top-width: 5px;
        height: 8px;
    }
}

.showInEdit {
    display: none
}

body.on-page-editor .showInEdit {
    display: block
}